import 'dart:async';
import 'package:flat_map/flat_map.dart';
import 'package:window_with_count/window_with_count.dart';

main() {
  var controller = new StreamController();

  controller.stream
            .transform(new WindowWithCount(4, 4))
            .transform(new FlatMap((n) => n.toList().asStream()))
            .listen(print);

  for (var i = 0; i < 10; i++) {
    controller.add(i);
  }
  controller.close();
}